<?php
/* Autor...:  */
/* Esquema.: ALM_TransParaRepInv.xml */
/* Generado: 2020-08-18 04:21:25 */

/* Metodos de acceso a los campos de la tabla ALM_TransParaRepInv */
abstract class BaseALM_TransParaRepInvBN
{
    /* Campos de la tabla */
    private $i_IdTrx;    // IdTrx: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdNumeroDocumento;    // IdNumeroDocumento: ( no definido )
    private $s_IdTransaccion;    // IdTransaccion: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $d_FechaDocumento;    // FechaDocumento: ( no definido )
    private $d_FechaDocumentoOriginal;    // FechaDocumentoOriginal: ( no definido )
    private $s_ReferenciaTipoDocumento;    // ReferenciaTipoDocumento: ( no definido )
    private $s_ReferenciaNumeroDocumento;    // ReferenciaNumeroDocumento: ( no definido )
    private $s_ReferenciaTipoDocumentoOriginal;    // ReferenciaTipoDocumentoOriginal: ( no definido )
    private $s_ReferenciaNumeroDocumentoOriginal;    // ReferenciaNumeroDocumentoOriginal: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_IdLote;    // IdLote: ( no definido )
    private $i_IdSecuencia;    // IdSecuencia: ( no definido )
    private $f_CantOriginal;    // CantOriginal: ( no definido )
    private $f_CantEvaluada;    // CantEvaluada: ( no definido )
    private $f_CantSaldo;    // CantSaldo: ( no definido )
    private $f_StockFisico;    // StockFisico: ( no definido )
    private $i_DiasCalculado;    // DiasCalculado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo IdTrx */
    public function setIdTrx( $i_IdTrx )
    {
        $this->i_IdTrx = $i_IdTrx;
    }

    /* Obtiene el valor del campo IdTrx */
    public function getIdTrx()
    {
        return $this->i_IdTrx;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdNumeroDocumento */
    public function setIdNumeroDocumento( $s_IdNumeroDocumento )
    {
        $this->s_IdNumeroDocumento = $s_IdNumeroDocumento;
    }

    /* Obtiene el valor del campo IdNumeroDocumento */
    public function getIdNumeroDocumento()
    {
        return $this->s_IdNumeroDocumento;
    }

    /* Establece el valor del campo IdTransaccion */
    public function setIdTransaccion( $s_IdTransaccion )
    {
        $this->s_IdTransaccion = $s_IdTransaccion;
    }

    /* Obtiene el valor del campo IdTransaccion */
    public function getIdTransaccion()
    {
        return $this->s_IdTransaccion;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo FechaDocumento */
    public function setFechaDocumento( $d_FechaDocumento )
    {
        $this->d_FechaDocumento = $d_FechaDocumento;
    }

    /* Obtiene el valor del campo FechaDocumento */
    public function getFechaDocumento()
    {
        return $this->d_FechaDocumento;
    }

    /* Establece el valor del campo FechaDocumentoOriginal */
    public function setFechaDocumentoOriginal( $d_FechaDocumentoOriginal )
    {
        $this->d_FechaDocumentoOriginal = $d_FechaDocumentoOriginal;
    }

    /* Obtiene el valor del campo FechaDocumentoOriginal */
    public function getFechaDocumentoOriginal()
    {
        return $this->d_FechaDocumentoOriginal;
    }

    /* Establece el valor del campo ReferenciaTipoDocumento */
    public function setReferenciaTipoDocumento( $s_ReferenciaTipoDocumento )
    {
        $this->s_ReferenciaTipoDocumento = $s_ReferenciaTipoDocumento;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocumento */
    public function getReferenciaTipoDocumento()
    {
        return $this->s_ReferenciaTipoDocumento;
    }

    /* Establece el valor del campo ReferenciaNumeroDocumento */
    public function setReferenciaNumeroDocumento( $s_ReferenciaNumeroDocumento )
    {
        $this->s_ReferenciaNumeroDocumento = $s_ReferenciaNumeroDocumento;
    }

    /* Obtiene el valor del campo ReferenciaNumeroDocumento */
    public function getReferenciaNumeroDocumento()
    {
        return $this->s_ReferenciaNumeroDocumento;
    }

    /* Establece el valor del campo ReferenciaTipoDocumentoOriginal */
    public function setReferenciaTipoDocumentoOriginal( $s_ReferenciaTipoDocumentoOriginal )
    {
        $this->s_ReferenciaTipoDocumentoOriginal = $s_ReferenciaTipoDocumentoOriginal;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocumentoOriginal */
    public function getReferenciaTipoDocumentoOriginal()
    {
        return $this->s_ReferenciaTipoDocumentoOriginal;
    }

    /* Establece el valor del campo ReferenciaNumeroDocumentoOriginal */
    public function setReferenciaNumeroDocumentoOriginal( $s_ReferenciaNumeroDocumentoOriginal )
    {
        $this->s_ReferenciaNumeroDocumentoOriginal = $s_ReferenciaNumeroDocumentoOriginal;
    }

    /* Obtiene el valor del campo ReferenciaNumeroDocumentoOriginal */
    public function getReferenciaNumeroDocumentoOriginal()
    {
        return $this->s_ReferenciaNumeroDocumentoOriginal;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo IdLote */
    public function setIdLote( $s_IdLote )
    {
        $this->s_IdLote = $s_IdLote;
    }

    /* Obtiene el valor del campo IdLote */
    public function getIdLote()
    {
        return $this->s_IdLote;
    }

    /* Establece el valor del campo IdSecuencia */
    public function setIdSecuencia( $i_IdSecuencia )
    {
        $this->i_IdSecuencia = $i_IdSecuencia;
    }

    /* Obtiene el valor del campo IdSecuencia */
    public function getIdSecuencia()
    {
        return $this->i_IdSecuencia;
    }

    /* Establece el valor del campo CantOriginal */
    public function setCantOriginal( $f_CantOriginal )
    {
        $this->f_CantOriginal = $f_CantOriginal;
    }

    /* Obtiene el valor del campo CantOriginal */
    public function getCantOriginal()
    {
        return $this->f_CantOriginal;
    }

    /* Establece el valor del campo CantEvaluada */
    public function setCantEvaluada( $f_CantEvaluada )
    {
        $this->f_CantEvaluada = $f_CantEvaluada;
    }

    /* Obtiene el valor del campo CantEvaluada */
    public function getCantEvaluada()
    {
        return $this->f_CantEvaluada;
    }

    /* Establece el valor del campo CantSaldo */
    public function setCantSaldo( $f_CantSaldo )
    {
        $this->f_CantSaldo = $f_CantSaldo;
    }

    /* Obtiene el valor del campo CantSaldo */
    public function getCantSaldo()
    {
        return $this->f_CantSaldo;
    }

    /* Establece el valor del campo StockFisico */
    public function setStockFisico( $f_StockFisico )
    {
        $this->f_StockFisico = $f_StockFisico;
    }

    /* Obtiene el valor del campo StockFisico */
    public function getStockFisico()
    {
        return $this->f_StockFisico;
    }

    /* Establece el valor del campo DiasCalculado */
    public function setDiasCalculado( $i_DiasCalculado )
    {
        $this->i_DiasCalculado = $i_DiasCalculado;
    }

    /* Obtiene el valor del campo DiasCalculado */
    public function getDiasCalculado()
    {
        return $this->i_DiasCalculado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTrx' => $this->getIdTrx(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdNumeroDocumento' => $this->getIdNumeroDocumento(),
            'IdTransaccion' => $this->getIdTransaccion(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'FechaDocumento' => $this->getFechaDocumento(),
            'FechaDocumentoOriginal' => $this->getFechaDocumentoOriginal(),
            'ReferenciaTipoDocumento' => $this->getReferenciaTipoDocumento(),
            'ReferenciaNumeroDocumento' => $this->getReferenciaNumeroDocumento(),
            'ReferenciaTipoDocumentoOriginal' => $this->getReferenciaTipoDocumentoOriginal(),
            'ReferenciaNumeroDocumentoOriginal' => $this->getReferenciaNumeroDocumentoOriginal(),
            'IdItem' => $this->getIdItem(),
            'IdLote' => $this->getIdLote(),
            'IdSecuencia' => $this->getIdSecuencia(),
            'CantOriginal' => $this->getCantOriginal(),
            'CantEvaluada' => $this->getCantEvaluada(),
            'CantSaldo' => $this->getCantSaldo(),
            'StockFisico' => $this->getStockFisico(),
            'DiasCalculado' => $this->getDiasCalculado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_TransParaRepInvBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_TransParaRepInvRs )
    {
        $o_ALM_TransParaRepInvBN = new ALM_TransParaRepInvBN();
        $o_ALM_TransParaRepInvBN->setIdTrx( ( integer ) $o_ALM_TransParaRepInvRs[ "IdTrx" ] );
        $o_ALM_TransParaRepInvBN->setIdCompania( ( integer ) $o_ALM_TransParaRepInvRs[ "IdCompania" ] );
        $o_ALM_TransParaRepInvBN->setIdSucursal( ( integer ) $o_ALM_TransParaRepInvRs[ "IdSucursal" ] );
        $o_ALM_TransParaRepInvBN->setIdNumeroDocumento( $o_ALM_TransParaRepInvRs[ "IdNumeroDocumento" ] );
        $o_ALM_TransParaRepInvBN->setIdTransaccion( $o_ALM_TransParaRepInvRs[ "IdTransaccion" ] );
        $o_ALM_TransParaRepInvBN->setIdAlmacen( $o_ALM_TransParaRepInvRs[ "IdAlmacen" ] );
        $o_ALM_TransParaRepInvBN->setFechaDocumento( utilTimestamp::getTimestamp( $o_ALM_TransParaRepInvRs[ "FechaDocumento" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransParaRepInvBN->setFechaDocumentoOriginal( utilTimestamp::getTimestamp( $o_ALM_TransParaRepInvRs[ "FechaDocumentoOriginal" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransParaRepInvBN->setReferenciaTipoDocumento( $o_ALM_TransParaRepInvRs[ "ReferenciaTipoDocumento" ] );
        $o_ALM_TransParaRepInvBN->setReferenciaNumeroDocumento( $o_ALM_TransParaRepInvRs[ "ReferenciaNumeroDocumento" ] );
        $o_ALM_TransParaRepInvBN->setReferenciaTipoDocumentoOriginal( $o_ALM_TransParaRepInvRs[ "ReferenciaTipoDocumentoOriginal" ] );
        $o_ALM_TransParaRepInvBN->setReferenciaNumeroDocumentoOriginal( $o_ALM_TransParaRepInvRs[ "ReferenciaNumeroDocumentoOriginal" ] );
        $o_ALM_TransParaRepInvBN->setIdItem( $o_ALM_TransParaRepInvRs[ "IdItem" ] );
        $o_ALM_TransParaRepInvBN->setIdLote( $o_ALM_TransParaRepInvRs[ "IdLote" ] );
        $o_ALM_TransParaRepInvBN->setIdSecuencia( ( integer ) $o_ALM_TransParaRepInvRs[ "IdSecuencia" ] );
        $o_ALM_TransParaRepInvBN->setCantOriginal( ( float ) $o_ALM_TransParaRepInvRs[ "CantOriginal" ] );
        $o_ALM_TransParaRepInvBN->setCantEvaluada( ( float ) $o_ALM_TransParaRepInvRs[ "CantEvaluada" ] );
        $o_ALM_TransParaRepInvBN->setCantSaldo( ( float ) $o_ALM_TransParaRepInvRs[ "CantSaldo" ] );
        $o_ALM_TransParaRepInvBN->setStockFisico( ( float ) $o_ALM_TransParaRepInvRs[ "StockFisico" ] );
        $o_ALM_TransParaRepInvBN->setDiasCalculado( ( integer ) $o_ALM_TransParaRepInvRs[ "DiasCalculado" ] );
        $o_ALM_TransParaRepInvBN->setUsuarioCreacion( $o_ALM_TransParaRepInvRs[ "UsuarioCreacion" ] );
        $o_ALM_TransParaRepInvBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_TransParaRepInvRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransParaRepInvBN->setUsuarioModificacion( $o_ALM_TransParaRepInvRs[ "UsuarioModificacion" ] );
        $o_ALM_TransParaRepInvBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_TransParaRepInvRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_ALM_TransParaRepInvBN;
    }
}
?>